package bank.client;

import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;

import bank.common.Account;
import bank.common.AccountInfo;
import bank.common.Bank;
import bank.common.Customer;

public class BankClient {

	@SuppressWarnings("unused")
	public static void main(String[] args) {
		try {
			Registry reg = LocateRegistry.getRegistry("localhost", Bank.PORT);
			Bank bank = (Bank) reg.lookup("Bank");

			Customer cust1 = bank.createCustomer("Berger");
			Customer cust2 = bank.createCustomer("Maier");

			Account acc1 = bank.createAccount("Berger");
			Account acc2 = bank.createAccount("Maier");
			acc1.deposit(10000);
			acc2.deposit(20000);
			boolean success = bank.transfer(acc1.getId(), acc2.getId(), 3000);
			if (success) {
				System.out.println(acc1.getBalance());
				System.out.println(acc2.getBalance());
			} else {
				System.out.println("Transfer not successful");
			}
			
			AccountInfo info = bank.getAccountInfo(acc1.getId()); 
			System.out.println(info);
		} catch (Exception e) {
			System.out.println("Trouble: " + e);
		}
	}
}
