package bank.common;

import java.io.Serializable;

@SuppressWarnings("serial")
public class AccountInfo implements Serializable {
	
	private final int id; 
	private final String owner; 
	private final long balance;
	
	public AccountInfo(int id, String owner, long balance) {
		super();
		this.id = id;
		this.owner = owner;
		this.balance = balance;
	}
	public int getId() {
		return id;
	}
	public String getOwner() {
		return owner;
	}
	public long getBalance() {
		return balance;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + id;
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		AccountInfo other = (AccountInfo) obj;
		if (id != other.id)
			return false;
		return true;
	}
	@Override
	public String toString() {
		return "AccountInfo [id=" + id + ", owner=" + owner + ", balance=" + balance + "]";
	} 
	
}
