package bank.common;

import java.rmi.Remote;
import java.rmi.RemoteException;

public interface Bank extends Remote {

	public static final int PORT = 10000;

	public Customer getCustomer(String name) throws RemoteException;

	public Customer createCustomer(String name) throws RemoteException;

	public Account getAccount(int accountNumber) throws RemoteException;

	public Account createAccount(String customer) throws RemoteException;

	public AccountInfo getAccountInfo(int accountNumber) throws RemoteException;

	public boolean transfer(int from, int to, long amount) throws RemoteException;

	// NOT A GOOD METHOD: DON'T USE remote objects as parameters
	public boolean transfer(Account from, Account to, long amount) throws RemoteException;

}
