package bank.server;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;
import java.rmi.server.UnicastRemoteObject;

import bank.common.Bank;

public class BankServerMain {

	private static Bank bank;

	private static void start() throws Exception {
		bank = BankImpl.getInstance();
		Registry reg = LocateRegistry.createRegistry(10000);
		reg.bind("Bank", bank);
		// netstat -tulpn
		System.out.println("Server started on port " + 10000);
	}

	public static void main(String[] args) throws Exception {
		start();

		BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
		do {
			System.out.println("Press x for exit.");
		} while (!"x".equals(in.readLine()));
		UnicastRemoteObject.unexportObject(bank, true);
		System.exit(0);
	}
}
