package bank.server;

import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;
import java.util.ArrayList;
import java.util.List;

import bank.common.Account;
import bank.common.Customer;

@SuppressWarnings("serial")
public class CustomerImpl extends UnicastRemoteObject implements Customer {

	private final String name;
	final List<Account> accounts;

	protected CustomerImpl(String name) throws RemoteException {
		super();
		this.name = name;
		this.accounts = new ArrayList<Account>();
	}

	@Override
	public synchronized String getName() throws RemoteException {
		return name;
	}

	@Override
	public synchronized Account[] getAccounts() throws RemoteException {
		return accounts.toArray(new Account[0]);
	}

}
